Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 63182 - cluadmin service show config bogusservice
cluadmin service show config bogusservice
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Baron
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 17:40 EDT by Tim Burke
Modified: 2013-03-06 00:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-06 09:43:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:226 normal SHIPPED_LIVE Fixes for clumanager addressing starvation and service hangs 2002-10-08 00:00:00 EDT

  None (edit)
Description Tim Burke 2002-04-10 17:40:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
If you run cluadmin's show config and specify a nonexistent service name it
produces an invalid name field.  For example:

cluadmin> service show config
  0) u1
  1) u2
  2) u3
  3) u4
  4) u5_samba_tim
  5) u7
  c) cancel

Choose service: 4
name: u5_samba_tim
preferred node: prod2
relocate: yes
monitor interval: 11
IP address 0: 172.16.65.17
device 0: /dev/sdb9
  mount point, device 0: /mnt/u5
  mount fstype, device 0: ext3
  mount options, device 0: rw,nosuid,sync
  force unmount, device 0: yes
  samba share, device 0: u5
device 1: /dev/sdb10
  mount point, device 1: /mnt/u6
  mount fstype, device 1: ext3
  mount options, device 1: rw,sync
  force unmount, device 1: yes
  samba share, device 1: None
cluadmin> service show config krap
name: 1075669904
cluadmin> 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.This didn't always happen, but it appears that if you first view the status of
an existing service that subsequent to that, it will fail if you designate an
invalid service name.
2.
3.
	

Actual Results:  A bogus name field gets displayed.

Expected Results:  An error indicating invalid service name.

Additional info:
Comment 1 Lon Hohberger 2002-06-11 16:38:06 EDT
Fix in pool.

Note You need to log in before you can comment on or make changes to this bug.